﻿<%@ Page Language="VB" AutoEventWireup="true" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title></title>
	<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
		<script type="text/javascript">
			var currentLoadingPanel = null;
			var currentUpdatedControl = null;
			function RequestStart(sender, args) {
				currentLoadingPanel = $find("LoadingPanel1");
				currentUpdatedControl = "TableLayout";
				currentLoadingPanel.show(currentUpdatedControl);
			}
			function ResponseEnd() {
				//hide the loading panel and clean up the global variables
				if (currentLoadingPanel != null)
					currentLoadingPanel.hide(currentUpdatedControl);
				currentUpdatedControl = null;
				currentLoadingPanel = null;
			}            
		</script>
	</telerik:RadCodeBlock>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager" runat="server" />
	<div class="module">
		Select Module: &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
		<asp:DropDownList runat="server" ID="DroptDownWidget" Width="150">
			<asp:ListItem Text="Horoscopes.ascx" Value="~/Controls/Horoscopes.ascx"></asp:ListItem>
			<asp:ListItem Text="News.ascx" Value="~/Controls/News.ascx"></asp:ListItem>
			<asp:ListItem Text="Weather.ascx" Value="~/Controls/Weather.ascx"></asp:ListItem>
		</asp:DropDownList>
		<br />
		Select Docking Zone:
		<asp:DropDownList ID="DropDownZone" runat="server" DataSource="<%#GetZones() %>"
			DataTextField="ID" DataValueField="ClientID" Width="150">
		</asp:DropDownList>
		<br />
		<br />
		<asp:Button runat="server" CssClass="button" ID="ButtonAddDock" Text="Add Dock (AJAX)"
			OnClick="ButtonAddDock_Click" />
		<asp:Button runat="server" CssClass="button" ID="ButtonPostBack" Text="Make PostBack"
			OnClick="ButtonPostBack_Click" />
	</div>
	<br />
	<asp:Panel ID="Panel1" runat="server">
		<telerik:RadDockLayout runat="server" ID="RadDockLayout1" OnSaveDockLayout="RadDockLayout1_SaveDockLayout"
			OnLoadDockLayout="RadDockLayout1_LoadDockLayout" EnableEmbeddedSkins="false">
			<table id="TableLayout">
				<tr>
					<td>
						<telerik:RadDockZone runat="server" ID="RadDockZone1" Width="300" MinHeight="300">
						</telerik:RadDockZone>
					</td>
					<td>
						<telerik:RadDockZone runat="server" ID="RadDockZone2" Width="300" MinHeight="300">
						</telerik:RadDockZone>
					</td>
				</tr>
			</table>
		</telerik:RadDockLayout>
	</asp:Panel>
	<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" ClientEvents-OnRequestStart="RequestStart"
		ClientEvents-OnResponseEnd="ResponseEnd">
		<AjaxSettings>
			<telerik:AjaxSetting AjaxControlID="ButtonAddDock" EventName="Click">
				<UpdatedControls>
					<telerik:AjaxUpdatedControl ControlID="Panel1" />
				</UpdatedControls>
			</telerik:AjaxSetting>
		</AjaxSettings>
	</telerik:RadAjaxManager>
	<telerik:RadAjaxLoadingPanel ID="LoadingPanel1" runat="server" MinDisplayTime="500"
		Skin="Default">
	</telerik:RadAjaxLoadingPanel>
	</form>
</body>
</html>
