<%@ Control Language="C#" AutoEventWireup="true" CodeFile="News.ascx.cs" Inherits="Dock_Examples_Default_News" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<telerik:RadAjaxManagerProxy ID="Proxy" runat="server">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="NewsRepeater">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="NewsRepeater" />
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>
<asp:Repeater ID="NewsRepeater" runat="server" OnItemCommand="NewsRepeater_ItemCommand">
    <HeaderTemplate>
        <ul>
    </HeaderTemplate>
    <ItemTemplate>
        <li>
            <asp:LinkButton runat="server" Text='<%#XPath(@"title")%>' ID="TitleButton" />
            <br />
            <asp:Panel ID="EventPanel" runat="server" Visible="false">
                <asp:Literal runat="server" ID="Event" Text='<%#XPath(@"description")%>' />
                <asp:HyperLink runat="server" ID="DetailsLink" Text="More info..." NavigateUrl='<%#XPath(@"link")%>'
                    Target="_blank" />
            </asp:Panel>
            <br />
        </li>
    </ItemTemplate>
    <FooterTemplate>
        </ul></FooterTemplate>
</asp:Repeater>
